Circle to Create extrusion


#1

Another question:

 

 

 

When I Make the connection below, I get an error that states "Unable to cast object of type 'Autodesk.Revit.DB.Arc to type 'Autodesk.Revit.DB.Curveloop

 

 

 

I thought the Circle/Arc was a type of curveloop. Any ideas on how this should be translated?

 

 

 

Thanks for your help!

 

 

 

 

 


#2

I'm guessing that before you made the custom node you were only using lists? This construction looks like it needs to have lists of items for the combine operation. If you intend to only feed the custom node single elements, you can have the arcs feeding directly into the list node. If it is going to take lists, it should probably work just fine as it is


#3

Here's a puzzler. When the code was placed in a custom node, it no longer works even though the variables being placed into the ports all check out when I use watches. The combine node is getting a "bad map arg" error. Note that all of the inputs are single numbers. No lists.




#4

Awesome, send some images when you're ready!


#5

Beautiful.



Now on to generating form via recursive functions.



Thanks again!


#6

This is abstract geometry that you have made. If you want a Revit element, you can use a "freeform element" node to create solids in the Family envrionment, or you can use the abstract geometry as setting out geometry to guide the placement of families


#7

You have 2 duplicate arcs, each making full 0-360 degree turns. You need one arc that goes from 0-180, and one going from 180-360, then all should be good.


#8

I think I am almost there. The difference is that I feed an array into each arc. The error I'm receiving now is "Curve loops do not satisfy the input requirements. Parameter name: profile loops"


I'm guessing because the list did not combine correctly?





#9

Here is how it can work: You need to apply a 2 item list as a function to each pairing of arcs.



#10

Okay, followed the approach you described but seem to have hit into a couple more roadblocks. I tried both of these methods:



1: Use two arcs, make each circle using the Curve Loop node to meld them together. The problem I had with this is that my "circles" are generated with an XYZ grid -so that I have an array of circles, not just one, and the Curve Loop node is looking to stitch all of the curves into a single curve loop, not an array as I would like:



2. Use one arc for each circle, but have the arc be 360 degrees. I thought that the Create Extrusion Geometry node might accept this as a curve loop, but it didn't.



Regards


#11

Sounds a little crazy, but I believe you will need to make 2 arcs, bring them into a curve loop node, and pass this to the Create Extrusion node. We're working on rationalizing the geometry creation process. Right now it's a pretty thin wrapper around the Revit API.